Table of Contents

Module: domhelpers | Twisted-0.19.0/twisted/python/domhelpers.py
--- | ---
Functions |
--- | ---
_get clearNode get getAndClear locateNodes substitute superPrependAttribute superSetAttribute
| _get
    _get ( node,  nodeId )
| clearNode
    clearNode ( node )
Remove all children from the given node.
| get
    get ( node,  nodeId )
Exceptions |
--- | ---
NodeLookupError, nodeId
| getAndClear
    getAndClear ( node,  nodeId )
| locateNodes
    locateNodes (
            nodeList,
            key,
            value,
            )
Find subnodes in the given node where the given attribute has the given value.
| substitute
    substitute (
            request,
            node,
            subs,
            )
Look through the given node's children for strings, and attempt to do string substitution with the given parameter.
| superPrependAttribute
    superPrependAttribute (
            node,
            key,
            value,
            )
| superSetAttribute
    superSetAttribute (
            node,
            key,
            value,
            )
Classes |
NodeLookupError |

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0